Subject: Re: AD Review of draft-ietf-bfd-seamless-base

From: Marc Binderberger <[email-masked]>
Date: Thu, 11 Feb 2016 23:00:52 -0800

Hello everyone
(and happy new year :-)

I see draft-ietf-bfd-seamless-base has been updated and in section 3 it does 
not say anymore that IS-IS is allocation a discriminator; instead it says the 
S-BFD module allocates.

It also explicitly discourages the allocation of multiple discriminators 
because the meaning is (yet) undetermined. Which restricts it for now to one 
discriminator but keeps it open for the future to be multiple discriminators.

I think this looks good. Do we need another discussion or do we declare 
victory, erm, agreement and close this point? :-)

Best regards,
Marc

P.S.: and a nitpick:

Section 3: the "toby" should be just "by"

"[...] discriminator allocated toby a remote node to remote [...]"

On Sun, 3 Jan 2016 10:34:53 +0000, Carlos Pignataro (cpignata) wrote:
> Thanks Manav!
> 
> Thumb typed by Carlos Pignataro.
> Excuze typofraphicak errows
> 
> On Dec 23, 2015, at 23:44, Manav Bhatia <[email-masked]> wrote:
> 
>>>> 1. Remove the multiple sessions terminating on the same target example 
>>> from
>>>> the use-case document.
>>>> 2. Change the base s-bfd draft to only advertise 1 discriminator
>>>> 3. Leave the IGP drafts as is.
>>> 
>>> 
>>> as we have to do point (2) in any case, if the IGP drafts are changed or
>>> remain, I would think this is the most efficient way to get out of the
>>> troubles.
>> 
>> Great. Will do that.
>>  
>>> 
>>> Makes a nice test case: send multiple S-BFD discriminators in the subtlv 
>>> and
>>> see how the  test unit behaves ;-)
>>> 
>>> 
>>>> And i was convinced by some folks working for the same vendor to 
>>> include the
>>>> possibility of supporting multiple discriminators per node since the
>>>> line cards can keep conking off ! ;-)
>>> 
>>> well, they can ;-) but the way it is implemented right now I think we can
>>> solve the problem without a 2nd discriminator.
>> 
>> Wow. Some serious architectural changes have gone in since then and now, 
>> eh?  ;-)
>> 
>> Cheers, Manav
>>